/*
 * abort.c --
 *
 *	This file implements the functions that handle fatal error
 *	conditions.
 */

static char rcsid[] =
"$Id: abort.c,v 1.2 2001/07/03 21:46:25 gmt Exp $";
 
#include "tokInt.h"

/*  TokAbort(msg) -- abort run  */

void
TokAbort(char *msg) {
    fprintf(stderr, "abort: %s\n", msg);
    exit(1);
}

/*  TokPerror(msg) -- abort run with perror() message  */

void
TokPerror(char *msg) {
    perror(msg);
    exit(1);
}
