/*
 * ctest.c --
 *
 *	This file implements a test of functions in config.c.
 */

static char rcsid[] =
"$Id: ctest.c,v 1.3 2001/07/03 21:46:26 gmt Exp $";

#include "tokInt.h"

static char *strings[] = {
    "a", "b", "c", "d", "e", "f", "g", "h", "i", "j",
    "ham", "cheese", "onions", "tomato", "garlic", "sausage",
    "pepperoni", "mushrooms", "bellpepper", "massachusetts!",
};

static char states[1000];

int
main(int argc, char *argv[]) {
    Tok_Service svc;
    TokNetwork net;
    char c, *s, **p, **fig;
    int i;
    int n = sizeof(strings) / sizeof(strings[0]);

    fig = Tok_Config("ctest.cfg");
    i = 0;
    for (p = fig; *p != NULL; p++) {
	s = *p;
	c = s[strlen(s) - 1] - '0';
	states[i++] = c;
	printf("%d  %s\n", c, s);
    }

    svc = TokAlloc(sizeof *svc);
    net = TokSetConfig(svc, fig);
    TokSetStates(svc, states);

    for (i = 0; i < n; i++) {
	s = strings[i];
	printf("%d  %s\n", TokServer(svc, s), s);
    }
    return 0;
}
