//  tConfig.java -- tests the Configuration class


import topovista.toksvc.*;


class tConfig {


public static void main(String args[])
throws Exception {
    Configuration cf = 
	new Configuration(args.length > 0 ? args[0] : "tConfig.dat");
    check(cf, "one");
    check(cf, "two");
    check(cf, "three");
    check(cf, "four");
    check(cf, "five");
    check(cf, "six");
    check(cf, "seven");
    check(cf, "eight");
    check(cf, "nine");
    check(cf, "ten");
    check(cf, "missing");
}

private static void check(Configuration cf, String name) {
    String[] a = cf.getArray(name);
    String s = cf.getString(name);
    int n = cf.getInt(name);
    System.out.println(name + "\t[ " + a.length + " ]\t" + n + "\t" + s + "");
    if (a.length > 1) {
	for (int i = 0; i < a.length; i++) {
	    System.out.println("    " + a[i]);
	}
    }

}


} // class tConfig
