package topovista.explorer;

/**
 *  Moves to a random unvisited neighbor of a visited cell.
 */

class EdgeGrowth extends Explorer {



EdgeGrowth() {
    super('e', "edge growth");
}



public Cell nextLoc(World w, Cell curr) {

    Cell[] list = w.all();
    shuffle(list);

    for (int i = 0; i < list.length; i++) {
	Cell ce = list[i];
	if (ce.visited) {
	    Cell[] nbrs = w.neighbors(ce);
	    shuffle(nbrs);
	    for (int j = 0; j < 4; j++) {
		if (! nbrs[j].visited) {
		    return nbrs[j];
		}
	    }
	}
    }

    // no cell was previously visited; just choose one
    return list[0];
}



} // class EdgeGrowth

