//  UnknownMessage.java -- signifies receipt of a Message of unknown type


package topovista.toksvc;

import java.net.*;



/**
 *  An UnknownMessage represents a Message
 *  received with an unrecognized type code.
 *  No attempt is made to decode any accompanying data.
 */
class UnknownMessage extends Message {



/**
 *  Constructor.
 */
UnknownMessage(int type) {
    super(type);
}



}  // class UnknownMessage
