//  LogoutMessage.java -- client disappearance


package topovista.toksvc;

import java.net.*;



/**
 *  A LogoutMessage tells the token leader that a client
 *  is shutting down.
 */
class LogoutMessage extends Message {



final static int MTYPE = 15;	// type code for this message class



/**
 *  Constructor for synthesizing a new message.
 */
LogoutMessage() {
    super(MTYPE);
}



/**
 *  Constructs a LogoutMessage by reading from a Pickle.
 */
LogoutMessage(Pickle p) {
    super(p);
}



}  // class LogoutMessage
